Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132737 - [nimbus] "Attach profiler" and "Profile" windows do not follow Nimbus Look&Feel
[nimbus] "Attach profiler" and "Profile" windows do not follow Nimbus Look&Feel
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: Jiri Sedlacek
issues@profiler
: L&F, UMBRELLA
Depends on: 133128 133130
Blocks: 131305
  Show dependency treegraph
 
Reported: 2008-04-14 12:37 UTC by Ondrej Langr
Modified: 2009-01-14 17:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Attach profiler window with L&F related comments (97.64 KB, image/png)
2008-04-14 12:40 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2008-04-14 12:37:56 UTC
During the review of Nimbus implementation in NetBeans, several L&F related issues with the Attach profiler window were
identified. For their description, see the attached image.
Comment 1 Ondrej Langr 2008-04-14 12:40:45 UTC
Created attachment 60124 [details]
Attach profiler window with L&F related comments
Comment 2 Jiri Sedlacek 2008-04-14 12:56:45 UTC
- extra space in dropdown: actually there's no extra space, for other items in the dropdown there's a project icon.
- line not needed: line is a separator which separates standard dialog from top dropdown available just for attach.
- color combination: defined especially for the dialog, it's a custom component with custom colors.
- color & graphics not from brand: it's a custom graphics for this dialog, it's intentionally not reused from brand.
- icon for Attach button: you're right, this should be fixed - but that's probably P4 or P5.

Because I don't see any concrete violations against the LaF, I'm marking this issue as INCOMPLETE. Since the dialog is
correctly implemented according to existing UI spec, you should probably update the UI spec and point out changes for
Nimbus LaF. Note that the UI spec is available only internally, please contact me for more details.
Comment 3 Ondrej Langr 2008-04-17 16:02:37 UTC
Obviously, this needs to be dealt with per issue. I'm making this an UMBRELLA issue and I'll file particular issues one
by one. 
Comment 4 Jiri Sedlacek 2008-08-29 16:55:58 UTC
Fixed for 6.5.
Comment 5 Rashid Urusov 2009-01-14 17:08:34 UTC
VERIFIED in Build 200901140201


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo